apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: <<appenv>>tdb-tinyurl
  namespace: <<appenv>>tdb-tinyurl
spec:
  hosts:
    - <<SITES>>
  gateways:
    - <<appenv>>tdb-tinyurl
  http:
    - match:
        - scheme:
            exact: http
      redirect:
        scheme: https
    - route:
        - destination:
            host: <<appenv>>tdb-tinyurl
            port:
              number: 8080
          weight: 100
      mirror:
        host: staging.adaoncloud.com
      mirrorPercentage:
        value: 100.0
      headers:
        request:
          set:
            x-ada-branded: "1234"
